Package org.apache.groovy.ginq.dsl

# Class GinqSyntaxError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.AssertionError
org.apache.groovy.ginq.dsl.GinqSyntaxError

All Implemented Interfaces:
  `Serializable`

public class GinqSyntaxError extends AssertionError
Represents GINQ syntax error

Since:
  4.0.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GinqSyntaxError(String message, int line, int column)`
  `GinqSyntaxError(String message, Expression expression)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getColumn()`
  `int`
  `getLine()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GinqSyntaxError

    public GinqSyntaxError(String message, Expression expression)

  - ### GinqSyntaxError

    public GinqSyntaxError(String message, int line, int column)

- ## Method Details

  - ### getLine

    public int getLine()

  - ### getColumn

    public int getColumn()